<div class="container">

  <!-- Page Heading -->
  <div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
      <h1 class="page-header">{{category.name}}</h1>
    </div>
  </div>

  {% if category.products.size == 0 %}
  <section class="col-md-8 col-md-offset-2 col-sm-8 col-sm-offset-2 col-xs-12 text-center">
    <div class="well">
      <p>{% t "There aren't any products available in this category" %}.</p>
      <p>{% t "Try searching" %} {% t "again or keep shopping by clicking on the button below" %}</p>
    </div>
    <div class="text-center page-actions">
      <a href="{{store.url}}" class="button small trsn" title="&larr; {% t 'Go back & Keep Shopping' %}">&larr; {% t "Go back & Keep Shopping" %}</a>
    </div>
  </section>

  {% else %}

  {% paginate category.products by options.products_category_limit %}
  <div class="row">
    <div class="col-sm-6 col-md-6 col-xs-6">
      <span><strong>{{paged.total}} {% t "Product(s)" %}</strong></span>
    </div>

    <div class="col-sm-6 col-md-6 col-xs-6">
      <form class="form-horizontal">
        <div class="form-group">
          <label class="col-md-4 control-label">{% t "Sort by" %}:</label>
          <div class="col-md-8">
            <select class="form-control" onchange="window.location.href = this.value">
              {% for sorting_option in category.sorting_options %}
              <option {% if sorting_option.selected %}selected="selected"{% endif %} value="{{sorting_option.url}}#category-gallery">
                {{sorting_option.text}}
              </option>
              {% endfor %}
            </select>
          </div>
        </div>
      </form>
    </div>
  </div>

  <div class="row">
    {% for product in paged.products %}
    <div class="col-sm-6 col-md-4 col-xs-12">
      <div class="main-category-image">
        {% include 'list_product' with product %}
      </div>
    </div>
    {% endfor %}

    <div class="clearfix"></div>
    <div class="row">
      <div class="col-sm-12 col-md-12">
        {{pager}}
      </div>
    </div>
  </div>

  {% endpaginate %}
  {% endif %}
</div>
